	.dbfile C:\iccv7arm\MI533D~1\MICROB~1\MicroBoltTimerInterrupt.c
	AREA	"C$$code", CODE, READONLY
	EXPORT _main
	.dbfunc e main _main fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_main:
	.dbline -1
	.dbline 38
; /*
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; | File Name			  : MicroBoltTimerInterrupt.c																					
; | Author			    : Micromint, Inc.						
; | Copyright       : Copyright  2005, Micromint, Inc.																	
; | Creation Date		: 4/2/05																							
; | Version			    : 1.00																																												
; | Spaces per tab	:	2																									
; | Description		  : Main C file																																									 
; | Revision			  :	Initial																																																						
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; */
; 
; /*
; |----------------------------------------------------
; |     Includes
; |----------------------------------------------------
; */
; 
; #include <ARM/philips/lpc210x.h>
; #include <arm_macros.h>
; 
; #include "MicroBoltTimerInterrupt.h"
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   main
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Main function for system
; |     Author          :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; void main(void)
;   {
	.dbline 46
; 
; /*
; |----------------------------------------------------
; |     MicroBolt hardware setup 
; |----------------------------------------------------
; */
; 
;   __DISABLE_INTERRUPT();                        // Disable all interrupts
	mrs R12,cpsr
	orr R12,R12,#0x80
	msr cpsr_c,R12
	
	.dbline 48
; 
;   SCB_PLLCFG |= 0x23;				 	   		            // Set to 59 MHz (0x03 is multiply value of 4)
	ldr R0,LIT_main+0
	ldr R1,[R0,#0]
	orr R1,R1,#35
	str R1,[R0,#0]
	.dbline 49
;   SCB_PLLCON |= 0x03;                           // Enable and Connect the PLL 
	ldr R0,LIT_main+4
	ldr R1,[R0,#0]
	orr R1,R1,#3
	str R1,[R0,#0]
	.dbline 50
;   SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy to enable changes
	mov R0,#170
	ldr R1,LIT_main+8
	str R0,[R1,#0]
	.dbline 51
;   SCB_PLLFEED = 0x55;                           // in PLLCON and PLLCFG
	mov R0,#85
	ldr R1,LIT_main+8
	str R0,[R1,#0]
	.dbline 53
; 
;   PCB_PINSEL0=0x00000000;                       // JTAG is via secondary port
	mov R0,#0
	ldr R1,LIT_main+12
	str R0,[R1,#0]
	.dbline 54
;   PCB_PINSEL1=0x55400000;
	ldr R0,LIT_main+16
	ldr R1,LIT_main+20
	str R0,[R1,#0]
	.dbline 55
;   GPIO_IODIR=(0x00000000<<16)|
	mov R0,#0
	ldr R1,LIT_main+24
	str R0,[R1,#0]
	.dbline 58
; 	     0x00000000;
;  
;   GPIO_IOCLR=0xffffffff;
	mvn R0,#0
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 59
;   GPIO_IOSET=(0x00000000<<16)| 
	mov R0,#0
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 62
;             0x00000000;  
; 
;   GPIO_IODIR |= MICROBOLT_LED;                  // Setup MicroBolt LED as output
	ldr R0,LIT_main+24
	ldr R1,[R0,#0]
	orr R1,R1,#4194304
	str R1,[R0,#0]
	.dbline 64
; 
;   T0_MR0 = 0x00400000;                          // Match register 0 value for timer rate              	
	mov R0,#4194304
	ldr R1,LIT_main+36
	str R0,[R1,#0]
	.dbline 65
;   T0_MCR = 0x00000003;                          // Interrupt and Reset on MR0
	mov R0,#3
	ldr R1,LIT_main+40
	str R0,[R1,#0]
	.dbline 66
;   T0_TCR = 0000000001;                          // Timer0 Enable
	mov R0,#1
	ldr R1,LIT_main+44
	str R0,[R1,#0]
	.dbline 68
; 
;   VICVectAddr0 = (unsigned)Timer0_ISR;          // Assign the Timer-0 ISR function to VIC priority 0
	ldr R0,LIT_main+48
	ldr R1,LIT_main+52
	str R0,[R1,#0]
	.dbline 69
;   VICVectCntl0 = INTERRUPT_CHANNEL_FOR_TIMER0;  // Assign the VIC channel Timer-0 to interrupt priority 0
	mov R0,#36
	ldr R1,LIT_main+56
	str R0,[R1,#0]
	.dbline 71
; 
;   VICIntEnable |= INTERRUPT_ENABLE_FOR_TIMER0;  // Enable the Timer-0 interrupt   
	ldr R0,LIT_main+60
	ldr R1,[R0,#0]
	orr R1,R1,#16
	str R1,[R0,#0]
	.dbline 73
; 
;   __ENABLE_INTERRUPT();                         // Enable all interrupts
	mrs R12,cpsr
	bic R12,R12,#0x80
	msr cpsr_c,R12
	
L2:
	.dbline 81
	.dbline 82
L3:
	.dbline 80
	b L2
X0:
	.dbline -2
L1:
	mov R15,R14
	.dbline 0 ; func end
LIT_main:
	DCD -534790012
	DCD -534790016
	DCD -534790004
	DCD -536690688
	DCD 1430257664
	DCD -536690684
	DCD -536707064
	DCD -536707060
	DCD -536707068
	DCD -536854504
	DCD -536854508
	DCD -536854524
	DCD _Timer0_ISR
	DCD -3840
	DCD -3584
	DCD -4080
	.dbend
	AREA	"Cidata", DATA
L6:
	DCB 0
	AREA	"C$$code", CODE, READONLY
	EXPORT _Timer0_ISR
	.dbfunc e Timer0_ISR _Timer0_ISR fV
	.dbsym s LedFlip L6 c
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_Timer0_ISR:
	sub R14,R14,#4
	stmfd R13!,{R0,R1,R11,R12,R14}
	mov R11,R13
	.dbline -1
	.dbline 98
; /*
; |----------------------------------------------------
; |     Start of application
; |----------------------------------------------------
; */
; 
;   while(1)                                      // Do this forever
;     {             
;     }
;   }
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   Timer0_ISR
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Interrupt service routine for Timer-0
; |     Author          :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; #pragma interrupt_handler Timer0_ISR
; 
; void Timer0_ISR (void)   
;   {
	.dbline 101
; 	static char LedFlip = 0;
; 
;   if (LedFlip == 0)                             // Toggle LED every interrupt
	ldr R0,LIT_Timer0_ISR+0
	ldrb R0,[R0,#0]
	cmp R0,#0
	bne L7
	.dbline 102
;       {
	.dbline 103
;       GPIO_IOSET = MICROBOLT_LED;               // Turn on MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_Timer0_ISR+4
	str R0,[R1,#0]
	.dbline 104
; 	    LedFlip = 1;
	mov R0,#1
	ldr R1,LIT_Timer0_ISR+0
	strb R0,[R1,#0]
	.dbline 105
; 			}
	b L8
L7:
	.dbline 107
;   else
; 	    {
	.dbline 108
;       GPIO_IOCLR = MICROBOLT_LED;               // Turn off MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_Timer0_ISR+8
	str R0,[R1,#0]
	.dbline 109
; 		  LedFlip = 0;
	mov R0,#0
	ldr R1,LIT_Timer0_ISR+0
	strb R0,[R1,#0]
	.dbline 110
;       }
L8:
	.dbline 112
; 
;   T0_IR = TIMER_CLR;                            // Clear Timer-0 interrupt flag
	mov R0,#1
	ldr R1,LIT_Timer0_ISR+12
	str R0,[R1,#0]
	.dbline 113
; 	VICVectAddr = VIC_ACK;                        // Acknowledge Interrupt
	mov R0,#0
	ldr R1,LIT_Timer0_ISR+16
	str R0,[R1,#0]
	.dbline -2
L5:
	ldmfd R13!,{R0,R1,R11,R12,PC}^
	.dbline 0 ; func end
LIT_Timer0_ISR:
	DCD L6
	DCD -536707068
	DCD -536707060
	DCD -536854528
	DCD -4048
	.dbend
	END
